# Author renyupeng
# coding=utf-8
# @Time    : 2024/1/8 下午1:58
# @Site    : 
# @File    : Handler.py
# @Software: PyCharm
# @contact: renyupeng@c-top.com.cn
# @Tel 1501435553
import argparse
import time
from datetime import datetime, timedelta

from FastDistributionSpider.PlatformClipOrderList import PlatformClipOrderList
from FastDistributionSpider.PromoterOrderList import PromoterOrderList
from utils.platform_cookie_update import platform_cookie_update


class Handler:
    @staticmethod
    def get_args():
        parser = argparse.ArgumentParser(description='')
        parser.add_argument('-num', type=int, default=None, help="TX_DT")
        args = parser.parse_args()
        num = args.num
        return num

    @staticmethod
    def request_plat():
        num = Handler.get_args()
        today = datetime.today()
        enddate = int(time.time()*1000)
        yesterday = (today - timedelta(days=num))
        startdate = int(yesterday.timestamp()*1000)
        cookie_one = platform_cookie_update.get_one_cookie_handler()
        for cooikes in cookie_one:
            cooike = cooikes[0]
            name = cooikes[1]
            PromoterOrderList.HandlerRequest(startdate, enddate, cooike, name)
        cookie_two = platform_cookie_update.get_two_cookie_handler()
        for childcookie in cookie_two:
            cooike = childcookie[0]
            name = childcookie[1]
            PlatformClipOrderList.HandlerRequest(startdate, enddate, cooike, name)


if __name__ == '__main__':
    Handler.request_plat()
